/**
  **************************************************************************
  * @file     main.c
  * @version  v2.0.0
  * @date     2020-11-02
  * @brief    main program
  **************************************************************************
  *                       Copyright notice & Disclaimer
  *
  * The software Board Support Package (BSP) that is made available to 
  * download from Artery official website is the copyrighted work of Artery. 
  * Artery authorizes customers to use, copy, and distribute the BSP 
  * software and its related documentation for the purpose of design and 
  * development in conjunction with Artery microcontrollers. Use of the 
  * software is governed by this copyright notice and the following disclaimer.
  *
  * THIS SOFTWARE IS PROVIDED ON "AS IS" BASIS WITHOUT WARRANTIES,
  * GUARANTEES OR REPRESENTATIONS OF ANY KIND. ARTERY EXPRESSLY DISCLAIMS,
  * TO THE FULLEST EXTENT PERMITTED BY LAW, ALL EXPRESS, IMPLIED OR
  * STATUTORY OR OTHER WARRANTIES, GUARANTEES OR REPRESENTATIONS,
  * INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.
  *
  **************************************************************************
  */

#include "at32f403a_407_board.h"
#include "at32f403a_407_clock.h"
#include <stdio.h>


/** @addtogroup AT32F403A_periph_examples
  * @{
  */
  
/** @addtogroup 403A_PWC_sleep_usart1 PWC_sleep_usart1
  * @{
  */

/**
  * @brief  main function.
  * @param  none
  * @retval none
  */
int main(void)
{
  /* congfig the system clock */
  system_clock_config();

  /* init at start board */
  at32_board_init();

  DEBUG->ctrl_bit.trace_ioen = FALSE;
  DEBUG->ctrl_bit.trace_ioen = TRUE;
  while(1)
  {
    printf ("Hello World\n");
		printf ("The_Demo_Is_Output_By_Keil_JTDO\r\n");
    printf ("\r\n");
		delay_ms(1000);
  }
}

/**
  * @}
  */ 

/**
  * @}
  */ 
