/**
 **************************************************************************
 * @file      : 003_Printf_Test_Keil_JTDO/system/Serial.c
 * @author    : Artery Technology
 * @version   : V1.0.0
 * @date      : 2019-1-2
 * @brief     : Main program body
 **************************************************************************
 * @attention
 *
 * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
 * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
 * TIME. AS A RESULT, ARTERYTEK SHALL NOT BE HELD LIABLE FOR ANY
 * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
 * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
 * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
 *
 * <h2><center>&copy; COPYRIGHT 2018 ArteryTek</center></h2>
 ***************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "at32f403a_407.h"
#include <stdio.h>

/* Private define ------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/

volatile int ITM_RxBuffer = ITM_RXBUFFER_EMPTY;  ///<CMSIS Debug Input

/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  SER_PutChar.Write character to Serial Port
  * @param  c : The data output
  * @retval c
  */
int SER_PutChar (int c) 
{
	ITM_SendChar(c);
	return (c);
}


/******************* (C) COPYRIGHT 2019 ArteryTek *****END OF FILE****/ 



